Gerar QR Code / cobrança PIX
curl --request POST \
--url https://seu-dominio.com/v2/pix/qrcode \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 49.9,
"payer": {
"name": "<string>",
"document": "<string>",
"email": "jsmith@example.com"
},
"external_id": "<string>",
"postbackUrl": "<string>",
"payerQuestion": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 49.9,
payer: {name: '<string>', document: '<string>', email: 'jsmith@example.com'},
external_id: '<string>',
postbackUrl: '<string>',
payerQuestion: '<string>'
})
};
fetch('https://seu-dominio.com/v2/pix/qrcode', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://seu-dominio.com/v2/pix/qrcode"
payload = {
"amount": 49.9,
"payer": {
"name": "<string>",
"document": "<string>",
"email": "jsmith@example.com"
},
"external_id": "<string>",
"postbackUrl": "<string>",
"payerQuestion": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){}API v2 — PIX
Gerar QR Code / cobrança PIX
POST
/
v2
/
pix
/
qrcode
Gerar QR Code / cobrança PIX
curl --request POST \
--url https://seu-dominio.com/v2/pix/qrcode \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 49.9,
"payer": {
"name": "<string>",
"document": "<string>",
"email": "jsmith@example.com"
},
"external_id": "<string>",
"postbackUrl": "<string>",
"payerQuestion": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 49.9,
payer: {name: '<string>', document: '<string>', email: 'jsmith@example.com'},
external_id: '<string>',
postbackUrl: '<string>',
payerQuestion: '<string>'
})
};
fetch('https://seu-dominio.com/v2/pix/qrcode', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://seu-dominio.com/v2/pix/qrcode"
payload = {
"amount": 49.9,
"payer": {
"name": "<string>",
"document": "<string>",
"email": "jsmith@example.com"
},
"external_id": "<string>",
"postbackUrl": "<string>",
"payerQuestion": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){}Authorizations
Token retornado por POST /v2/oauth/token
Body
application/json
Response
200 - application/json
Corpo conforme retorno do provedor de liquidação
The response is of type object.